# Uses of Interface
java.sql.SQLOutput

Packages that use SQLOutput
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of SQLOutput in java.sql

Methods in java.sql with parameters of type SQLOutput
Modifier and Type
Method
Description
`void`
SQLData.`writeSQL​(SQLOutput stream)`
Writes this object to the given SQL data stream, converting it back to its SQL value in the data source.

## Uses of SQLOutput in javax.sql.rowset.serial

Classes in javax.sql.rowset.serial that implement SQLOutput
Modifier and Type
Class
Description
`class`
`SQLOutputImpl`
The output stream for writing the attributes of a custom-mapped user-defined type (UDT) back to the database.